@import "variables";

#ryax-login {
  height: calc(100vh - 38px);
  background: $grey1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#ryax-logo {
  height: 72px;
  margin-bottom: 40px;
}

nz-card {
  width: 390px;
  height: 416px;
  background: #FFFFFF;
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.15);
  border-radius: 8px;

  button {
    margin-top: 16px;
    width: 100%;
  }

  ::ng-deep .ant-card-body {
    padding: 48px;
  }
}

#ryax-extra {
  font-size: .6875rem;
  color: $grey7;
}

#ryax-register {
  margin-top: 1rem;
  margin-bottom: 0;
  text-align: center;
  font-size: .6875rem;

  a {
    text-decoration: underline;
    color: $grey8;
  }
}

#ryax-title {
  font-weight: 800;
  font-size: 1.125rem;
  text-align: center;
  margin-bottom: 40px;
}

nz-form-label.ryax-label {
  font-weight: 600;
  padding: 0;

  span {
    font-size: .8125rem;
  }

  ::ng-deep label {
    height: auto;
  }
}

h6 {
  margin-top: 22px;
  font-size: .6875rem;

  a {
    color: $grey7;
  }
}

#ryax-socials {
  margin-top: 15px;
}

#ryax-socials :first-child {
  margin-right: 8px;
}
